(sys-load "GIO/gio.scm")
(sys-load "VOS/xi.class.scm") ; xit

(define super-app-class (class (extension window-class)
 (slots menu text-line)

 (define (make-menu this)
  (let ((menu (make-object menu-class this 12 12 150 100)))
   (make-object menu-item-class menu "Quit" (lambda () (this (quit))))
   (menu (adjust-dimensions))
   menu))

 (method initialize () (super sys-display 50 50 600 300 0)
  (this (set! 'menu      (make-menu this)))
  (this (set! 'text-line (make-object text-field-class this 196 12 30)))

  ;; TODO FOCUS and ...
  ;; TODO Review map notifications for contained windows.
  ((this menu)      (show))
  ((this text-line) (show))
 )

 (method start arguments
  (this (show))
  (sys-control (roll)))

 (method quit () (xit))
)) ; closes super app class

(catch #t (lambda () ((make-object super-app-class) (start)) )
          repl-error-handler)
