/* classes: h_files */

#ifndef SCM_BOOLEAN_H
#define SCM_BOOLEAN_H
#include "include/__scm.h"



/* Boolean Values 
 *
 */ 


#define scm_is_false(x) scm_is_eq ((x), SCM_BOOL_F)
#define scm_is_true(x)  !scm_is_false (x)

int sharp_scm_is_false (SCM object);
#define sharp_scm_is_true(x) !sharp_scm_is_false (x)

int scm_is_bool (SCM x);
#define scm_from_bool(x) ((x) ? SCM_BOOL_T : SCM_BOOL_F)
int scm_to_bool (SCM x);



SCM scm_not (SCM x);
SCM scm_boolean_p (SCM obj);

void scm_init_boolean (void);

#endif  /* SCM_BOOLEAN_H */
