/* classes: h_files */

#ifndef SCM_CONVERT_H
#define SCM_CONVERT_H
#include "include/__scm.h"

char *scm_c_scm2chars (SCM obj, char *dst);
short *scm_c_scm2shorts (SCM obj, short *dst);
int *scm_c_scm2ints (SCM obj, int *dst);
long *scm_c_scm2longs (SCM obj, long *dst);
float *scm_c_scm2floats (SCM obj, float *dst);
double *scm_c_scm2doubles (SCM obj, double *dst);

SCM scm_c_chars2scm (const char *src, long n);
SCM scm_c_shorts2scm (const short *src, long n);
SCM scm_c_ints2scm (const int *src, long n);
SCM scm_c_longs2scm (const long *src, long n);
SCM scm_c_floats2scm (const float *src, long n);
SCM scm_c_doubles2scm (const double *src, long n);

#endif /* SCM_CONVERT_H */
