/* classes: h_files */

#ifndef SCM_GSUBR_H
#define SCM_GSUBR_H
#include "include/__scm.h"



#define SCM_GSUBR_MAKTYPE(req, opt, rst) ((req)|((opt)<<4)|((rst)<<8))
#define SCM_GSUBR_REQ(x) ((long)(x)&0xf)
#define SCM_GSUBR_OPT(x) (((long)(x)&0xf0)>>4)
#define SCM_GSUBR_REST(x) ((long)(x)>>8)

// #define SCM_GSUBR_PROC(x) SCM_SUBRF(x)

#define SCM_GSUBR_MAX 10

SCM scm_c_make_gsubr (const char *name, 
			      int req, int opt, int rst, SCM (*fcn) ());
SCM scm_c_make_gsubr_with_generic (const char *name,
					   int req, int opt, int rst,
					   SCM (*fcn) (), SCM *gf);
SCM scm_c_define_gsubr (const char *name, 
				int req, int opt, int rst, SCM (*fcn) ());
SCM scm_c_define_gsubr_with_generic (const char *name,
					     int req, int opt, int rst,
					     SCM (*fcn) (), SCM *gf);
SCM scm_i_gsubr_apply (SCM proc, SCM args);
void x_inclusion_gsubr (void);

#endif  /* SCM_GSUBR_H */
