/* classes: h_files */

#ifndef SCM_REGEX_POSIX_H
#define SCM_REGEX_POSIX_H
#include "include/__scm.h"

scm_t_tag scm_tc16_regex;
#define SCM_RGX(X)	((regex_t *) SCM_SMOB_DATA (X))
#define SCM_RGXP(X)	(SCM_SMOB_PREDICATE (scm_tc16_regex, (X)))

SCM scm_make_regexp (SCM pat, SCM flags);
SCM scm_regexp_p (SCM x);
SCM scm_regexp_exec (SCM rx, SCM str, SCM start, SCM flags);
void scm_init_regex_posix (void);
void x_inclusion_regex (void);

#endif  /* SCM_REGEX_POSIX_H */
