/* classes: h_files */

#ifndef SCM_SCRIPT_H
#define SCM_SCRIPT_H
#include "include/__scm.h"


char *scm_find_executable (const char *name);
char *scm_find_impl_file (char *exec_path,
				  const char *generic_name,
				  const char *initname,
				  const char *sep);
char **scm_get_meta_args (int argc, char **argv);
int scm_count_argv (char **argv);
void scm_shell_usage (int fatal, char *message);
SCM scm_compile_shell_switches (int argc, char **argv);
void scm_shell (int argc, char **argv);
char *scm_usage_name;
void scm_init_script (void);
void x_inclusion_script (void);

#endif  /* SCM_SCRIPT_H */
