/* classes: h_files */

#ifndef SCM_SCMSIGS_H
#define SCM_SCMSIGS_H
#include "include/__scm.h"



SCM scm_sigaction (SCM signum, SCM handler, SCM flags);
SCM scm_sigaction_for_thread (SCM signum, SCM handler, SCM flags,
				      SCM thread);
SCM scm_restore_signals (void);
SCM scm_alarm (SCM i);
SCM scm_setitimer (SCM which_timer,
			   SCM interval_seconds, SCM interval_microseconds,
			   SCM value_seconds, SCM value_microseconds);
SCM scm_getitimer (SCM which_timer);
SCM scm_pause (void);
SCM scm_sleep (SCM i);
SCM scm_usleep (SCM i);
SCM scm_raise (SCM sig);
void x_inclusion_posix_signals (void);

unsigned int scm_std_sleep (unsigned int);
unsigned long scm_std_usleep (unsigned long);

#endif  /* SCM_SCMSIGS_H */
