/* classes: h_files */

#ifndef SCM_STRPORTS_H
#define SCM_STRPORTS_H
#include "include/__scm.h"




#define SCM_STRPORTP(x)      (!SCM_IMP (x) && \
                              (SCM_TYP16 (x) == scm_tc16_strport))
#define SCM_OPSTRPORTP(x)    (SCM_STRPORTP (x) && \
                              (SCM_CELL_WORD_0 (x) & SCM_OPN))
#define SCM_OPINSTRPORTP(x)  (SCM_OPSTRPORTP (x) && \
 			      (SCM_CELL_WORD_0 (x) & SCM_RDNG))
#define SCM_OPOUTSTRPORTP(x) (SCM_OPSTRPORTP (x) && \
                              (SCM_CELL_WORD_0 (x) & SCM_WRTNG))



scm_t_tag scm_tc16_strport;



SCM scm_mkstrport (SCM str, long modes, const char * caller);
SCM scm_strport_to_string (SCM port);
SCM scm_object_to_string (SCM obj, SCM printer);
SCM scm_call_with_output_string (SCM proc);
SCM scm_call_with_input_string (SCM str, SCM proc);
SCM scm_open_input_string (SCM str);
SCM scm_open_output_string (void);
SCM scm_get_output_string (SCM port);
SCM scm_c_read_string (const char *expr);
void scm_init_strports (void);
void x_inclusion_strports (void);

#endif  /* SCM_STRPORTS_H */
