;; Have a nice default encoding!
(define byte-string->brass byte-string->brass/utf8)
(define brass->byte-string brass->byte-string/utf8)

(define (brass-index br chr)
 (when (not (and (brass? br) (char? chr)))
   (error "brass-index: mischiefed arguments: " (list br chr)))
 (let ((len (brass-length br)))
  (let loop ((i 0))
   (cond
    ((>= i len)                 #f)
    ((eq? (brass-ref br i) chr) i)
    (else                       (loop (+ i 1))
)) )))

;;
;; Editing Support
;; (Viper Argument Order)
(define (brass-insert pos br char)
 (brass-append
   (subrass br 0 pos)
   (brass char)
   (subrass br pos (brass-length br)) ))

(define (brass-remove pos br)
 (brass-append
   (subrass br 0 pos)
   (subrass br (+ pos 1) (brass-length br)) ))

(define (brass-split pos br)
 (values (subrass br 0 pos)
         (subrass br pos (brass-length br)) ))
