;; Basics
(primitive-load-path "VSI-core/vsi.scm")
(primitive-load-path "VSI-core/logging.scm")
(primitive-load-path "VSI-core/namespace.scm")

(primitive-load-path "VSI-core/data-flow.scm")
(primitive-load-path "VSI-core/brass.scm")
(primitive-load-path "VSI-core/numbers.scm")
(primitive-load-path "VSI-core/byte-strings.scm")


;; Portable Operating System Interface
(primitive-load-path "VSI-core/posix.scm")

;; Network Name Resolution
(primitive-load-path "VSI-core/networking.scm")

;; Some POSIX is always needed. :-)
(primitive-load-path "VSI-core/boot-9.posix-unconditionally.scm")


;;;
;;; VSI Scheme Core
(primitive-load-path "VSI-core/characters.scm")
(primitive-load-path "VSI-core/list-processing.scm")
(primitive-load-path "VSI-core/vector-processing.scm")
(primitive-load-path "VSI-core/vector-calculus.scm")
(primitive-load-path "VSI-core/vsi-sysinfo.scm")
(primitive-load-path "VSI-core/structures.scm")

(primitive-load-path "VSI-core/string.compat.scm") ;; XXX compatibility

;;
;; Format (this should be last here)
(primitive-load-path "VSI-core/format.scm")


;; PS
;; Changes to the core should be tested with diligence before
;; inserting them into the core because error reporting during
;; the initialization can be really confusing.
