;(display %load-path) (newline)
;(define else #t)
(define (pre-repl-welcome)
(newline)
(display "********************************************************")(newline)
(display "(some arbitrary revision of) Viper's System Interface ")(newline)
(display "********************************************************")(newline)
(newline)
) ; closes pre-repl-welcome

;(display %session-arguments) (newline)
(define (any-load-argument)
  (filter (lambda (argument)
            (and (pair? argument)
                 (eq? (car argument) 'load)
             argument))
          %session-arguments))

(catch #t (lambda () (primitive-load-path "VSI-core/ihub.scm"))
          (lambda (key . arg)
            (display " * VSI-core ERROR: " (current-error-port))
            (display key   (current-error-port))
            (display write (current-error-port))
            (newline       (current-error-port))))
;(display "VSI-core has finished booting and is coring now.")
;(newline)


;;; TEMPLATE
;;; Load VSI User Initialization
;; (define (load-user-init)
;;   (let* ((home (or (getenv "HOME")
;; 		   (false-if-exception (passwd:dir (getpwuid (getuid))))
;; 		   "/"))  ;; fallback for cygwin etc.
;; 	 (init-file (in-vicinity home ".vsi-init.scm")))
;;     (if (file-exists? init-file)
;; 	(primitive-load init-file))))

;; !!! Source code position make inner defines leak even when cut?
;; See the CLR4 stress test.
;; NB This has to be enabled before loading files for which we want
;; to register source code positions.
;(read-enable 'positions)


;;
;; Load or REPL
;;
(cond ((not (null? (any-load-argument)))
         (eval (car (any-load-argument)) '())
         (quit))
      (else
         ;(pre-repl-welcome)
         (sys-load "VSI-core/repl.scm") (REPL)))

