;;
;; L-Stress
(define *stress* 1000000)
(define concat   append!)

(display (global-object-count->alist)) (newline)
(display (%global-call-counters)) (newline)

(display "L-Stress")(newline)
(define l '())
(define m 0)
(let loop ((i 0))
 (when (not (>= i *stress*))
  (if (= (modulo i 10000) 0) (display "."))
  (set! l (concat (list 1 2 3 4 5 6 7 8 9 0)
                   l ))
  (set! m (+ m 10))
  (loop (+ i 1))))
(newline)

(display (global-object-count->alist)) (newline)
(display (%global-call-counters)) (newline)

(display m) (newline)
(display (length l)) (newline)
(display "release")
(set! l '())
(newline)

(display (global-object-count->alist)) (newline)
(display (%global-call-counters)) (newline)

;;
;; end of L-stress

(display "L-stress 2") (newline)
(define l (make-list (* 1 *stress*) 2))

(display (global-object-count->alist)) (newline)
(display (%global-call-counters)) (newline)

(define l (map  /   l))
(define l (fold + 0 l))

(display (global-object-count->alist)) (newline)
(display (global-call-count->alist)) (newline)

(display "L-stress: reverse ") (newline)
(define l (make-list (* 1 *stress*) 2))
(let loop ((n 0))
 (when (< n 50)
   (display ".")
   (set! l (reverse l))
   (loop (+ n 1))))
(newline)
(set! l '())

(display (global-object-count->alist)) (newline)
(display (global-call-count->alist)) (newline)
