(define list-of-randoms '())
(define sys-random random)
(define (memoizing-random n)
  (set! list-of-randoms (cons (sys-random n) list-of-randoms))
  (car list-of-randoms))
;(define random memoizing-random)
(define random sys-random)

(define maximum 1000)
(define generators
 (vector
  (lambda (datum) (cons datum #t) ;the original test with some misplaced ")"
  (lambda (datum) (make-list   (random maximum)           datum))
  (lambda (datum) (vector (+ 1 (random (random maximum))) datum))

  (lambda (datum) (make-string (random maximum)           datum))

  (lambda (datum) (random maximum))
  (lambda (datum) (integer->char (random 127)))
  (lambda (datum) (= (random 2) 0))
          
  ;; todo bignums, doubles
)))
(define number-of-generators (vector-length generators))

(define (select-generator)
  (vector-ref generators (random number-of-generators)))

(define (identity x) (lambda (x) x))

(define (data-graph-stress n data)
 (cond ((<= n 0) data)
  (else
   (data-graph-stress (- n 1) ((select-generator) data) )) ))

;; (define (mean l) (/ (apply + l) (length l)))

(define data-graph-maximum 3000000)
(define stress-repeat 3)
(define (D-stress)
 (display "D-stress:")
 (let loop ((n stress-repeat))
  (cond ((<= n 0) (display " FINE (D-stress) ") (newline))
   (else
  (display " D") (display n)
  (data-graph-stress data-graph-maximum 61)
  ; (display " (mean: ") (mean list-of-randoms) (display ")") (newline)
  (set! list-of-randoms '())
  (loop (- n 1)) )) ))

(display (%global-object-counts)) (newline)
(display (%global-call-counters)) (newline)
(newline)

(D-stress)

(newline)
(display (%global-object-counts)) (newline)
(display (%global-call-counters)) (newline)
