;; Where does that algorithm come from anyway? Some spiral?
;; Beware: this thing looks nice but pi remains transcendental
;; and this shows up ever again when ...
(sys-load "VSI-core/repl.scm")

(define (my n . args)
  (let* ((d (car args))
         (r (let loop ((s 1) (i 0))
              (if (>= i d)
                  s
                  (loop (* 10 s) (1+ i))) ))
         (n (+ (quotient n d) 1))
         (m (quotient (* n d 3322) 1000))
         (a (make-vector (1+ m) 2)))
    (vector-set! a m 4)
    (let loop ((j 1) (q 0) (b 2))
      (when (<= j n)
       (let diglo ((k m))
         (when (not (zero? k))
           (set! q (+ q (* (vector-ref a k) r)))
           (let ((t (1+ (* 2 k))))
             (vector-set! a k (remainder q t))
             (set! q (* k (quotient q t)))
             (diglo (1- k)) )))
       (let ((s (number->string (+ b (quotient q r)))))
 ;(when (> (string-length s) 3) (REPL-HERE))
        (let outlo ((l (string-length s)))
          (cond ((>= l d) (display s))
                (else     (display #\0) (outlo (1+ l)) )) ))
       (if (zero? (modulo j 10)) (newline) (display #\space))
       (loop (1+ j) 0 (remainder q r)) )))
  (newline))

;(my 43000 4300)
;(my 4300 4300)
;(my 4300 3)
(my 4300 5)

;(my 4300 5)
; cross checked profiling
;   if user    1m15.000s
; when user    1m14.460s
; when user    1m11.612s plus 1+ and 1-
;
; TODO check remainder quotient and vector accessors individually

(define (digits-of-pi n . args)
  (let* ((d (car args))
         (r (let loop ((s 1) (i 0))
              (if (>= i d)
                  s
                  (loop (* 10 s) (+ 1 i))) ))
         (n (+ (quotient n d) 1))
         (m (quotient (* n d 3322) 1000))
         (a (make-vector (+ 1 m) 2)))
    (vector-set! a m 4)
    (let loop ((j 1) (q 0) (b 2))
      (when (<= j n)
       (let diglo ((k m))
         (when (not (zero? k))
           (set! q (+ q (* (vector-ref a k) r)))
           (let ((t (+ 1 (* 2 k))))
             (vector-set! a k (remainder q t))
             (set! q (* k (quotient q t)))
             (diglo (- k 1)) )))
       (let ((s (number->string (+ b (quotient q r)))))
        (let outlo ((l (string-length s)))
          (cond ((>= l d) (display s))
                (else     (display #\0) (outlo (+ 1 l)) )) ))
       (if (zero? (modulo j 10)) (newline) (display #\space))
       (loop (+ 1 j) 0 (remainder q r)) )))
  (newline))

;(digits-of-pi 4300 5)
