(sys-load "VSI-core/repl.scm")

(repl-transcript
(define s (socket PF_INET SOCK_STREAM 0))
(define a (network-byte-order #"127 0 0 1"))
(define a #"127 0 0 1")

; Let's see if we can try some:
(define accepted-connections '())
(define (tcp-port-scanner n)
 (when (< n (expt 2 16))
  ; CLR3: That exception of /connect/ left us with 65.000 closures.
  ; Now it returns falsity if the connection couldn't be established.
  ;(when (not (not (false-if-exception (connect s AF_INET a n))))
  (when (connect s AF_INET a n)
    (set! accepted-connections (cons n accepted-connections))
    (close-port s)
    (set! s (socket PF_INET SOCK_STREAM 0))
    ;(newline)
    )
  (when (= 0 (modulo n 1024))
    (display "."))
  (tcp-port-scanner (+ n 1)) ))
(tcp-port-scanner 2)
(length accepted-connections) ;; XXX numbers are off since the a->bs change
                              ;; All of the implicit conversions have been purged.
                              ;; Now there's some network byte order issue here.
                              ;; Maybe it's better to turn to SCA stubs now as 
                              ;; reversing the byte order of some number isn't well specified ...
)

(repl-transcript
;;
;; SCA/X Reverse Engineering Xauth
;;
;; xauth mcookie reverse engineering => leading padding for mcookie key
;;
;; (bind s AF_INET INADDR_ANY 6000)
;; (listen s 5)
;; (begin
;; (newline) (newline)
;; (display "Try to open an X client on display 127.0.0.1:0 to find out about the magic in mit-magic-cookie-1 ..."))
;; (define p (accept s))
;; (define sxau (read-bytes 1024 (port->fdes (car p))))

;; (sys-load "VSI-core/byte-structures.scm")
;; (define X-conn-client-prefix-layout ; copied from X.scm
;; (byte-structure-description
;;   (byte-order 1)
;;   (padding    1)
;;   (major-version 2)
;;   (minor-version 2)
;;   (nbytes-auth-proto  2)  ; ??? STRING8 in the standard
;;   (nbytes-auth-string 2)  ; ??? STRING8 in the standard
;;   (padding    2)))
;; (define-bs-accessors 'xconc X-conn-client-prefix-layout)
;; (xconc:byte-order sxau)
;; (xconc:major-version sxau)
;; (xconc:minor-version sxau)
;; (xconc:nbytes-auth-proto sxau)
;; (xconc:nbytes-auth-string sxau)
;; (define proto (byte-string-select sxau
;;                (bs-length X-conn-client-prefix-layout) 18))
;; (c-string->deprecated-string proto)
;; (define audat (byte-string-select sxau
;;                (+ (bs-length X-conn-client-prefix-layout) 18 1) 16))
;; audat
;; sxau
)

(REPL)
