(sys-load "VOS/xi.class.scm")
(sys-load "GIO/gio.scm")

(define dr-class (class (extension window-class)
 (slots gc win source-pixmap source-picsmap destination-pixmap destination-picsmap)
 (method initialize (parent) (super parent 50 50 300 400 0)
  (this (set! 'win (make-object window-class this 0 0 (this width) (this height) 0)))
  (this (set! 'gc  (make-object graphics-context-class (this win))))
  (this (set! 'destination-pixmap  (make-object pixmap-class this (this width) (this height))))

  ;((this win) (set-background-pixmap (this destination-pixmap)))
  ;(byte-string-clear! (((this destination-pixmap) x-shared-mem) shm-mapping))

  (this (set! 'destination-picsmap (make-object picture-class (this destination-pixmap) 'empty)))

  (this (set! 'source-pixmap  (make-object pixmap-class this (this width) (this height))))
  (this (set! 'source-picsmap (make-object picture-class (this source-pixmap) 'fill blue-color)))

  ((this destination-picsmap) (change-draw-mode 'sharp 'imprecise 'none))
  (call xrender 'set-picture-clip-rectangles ((this display) connection)
                                             (((this display) xext-render) major-opcode)
                                             (this rid)
                                             (list 0 0 (this width) (this height)))
  ; Some BAD PICTURE (one above first-error) VSI peafowlsBrokenDiamonds
  ; Scheme failed because you don't really want to reach that minus sign
  ; that often on an standard american keyboard layout. What a..? 
  ;(this (activate-events expose-event-class))
  ((this win) (show))

)

(method expose-event (event)
  (fixed-call xrender 'triangles ((this display) connection)
                                 (((this display) xext-render) major-opcode)
                                 2 ; PictOpDst render.h
                                 ((this source-picsmap) rid)
                                 ((this destination-picsmap) rid)
                                 #"0 0 0 0" ; none (((this destination-picsmap) format) rid)
                                 0 0 ; source coordinates
                                 #(0 0) #(1/2 1) #(1 1))

  ((this gc) (put-image (this win) ((this win) width) ((this win) height) 0 0 (this destination-pixmap)))
)


))

(repl-transcript
(define dr (make-object dr-class sys-display))
(dr (show))

(define xi (make-object xi-class))
(xi (start))
)
