/* classes: h_files */

#ifndef SCM_ALIST_H
#define SCM_ALIST_H
#include "include/__scm.h"



SCM scm_acons (SCM w, SCM x, SCM y);
SCM scm_assq_unchecked_lax (SCM key, SCM ls);
SCM scm_sloppy_assq (SCM x, SCM alist);
SCM scm_sloppy_assv (SCM x, SCM alist);
SCM scm_sloppy_assoc (SCM x, SCM alist);
SCM scm_assq (SCM x, SCM alist);
SCM scm_assv (SCM x, SCM alist);
SCM scm_assoc (SCM x, SCM alist);
SCM scm_assq_ref (SCM alist, SCM key);
SCM scm_assv_ref (SCM alist, SCM key);
SCM scm_assoc_ref (SCM alist, SCM key);
SCM scm_assq_set_x (SCM alist, SCM key, SCM val);
SCM scm_assv_set_x (SCM alist, SCM key, SCM val);
SCM scm_assoc_set_x (SCM alist, SCM key, SCM val);
SCM scm_assq_remove_x (SCM alist, SCM key);
SCM scm_assv_remove_x (SCM alist, SCM key);
SCM scm_assoc_remove_x (SCM alist, SCM key);
void scm_init_alist (void);

#endif  /* SCM_ALIST_H */
