
// Maybe we'll need another type tag for byte mappings. They only
// make a difference for the memory manager but checking every
// byte string with two tags or checking every byte string cell
// in release for a flag ...
#define BYTE_STRING_P(x)          (!SCM_IMP(x) && (SCM_TYP7(x)==scm_tc7_byte_string))
#define BYTE_STRING_MAPPING_P(x)  (!SCM_IMP(x) && (SCM_TYP16(x)==scm_tc16_byte_string_mapping))
// #define BYTE_STRING_DATA(x)   ((void*)SCM_CELL_OBJECT_LOC(x,1))
#define BYTE_STRING_DATA(x)       scm_i_byte_string_data (x)
#define BYTE_STRING_LENGTH(x)     ((size_t) SCM_CELL_WORD_0(x))

void* scm_i_byte_string_data (SCM byte_string);

SCM scm_number_to_8byte_string (SCM n);
SCM scm_number_to_4byte_string (SCM n);
SCM scm_number_to_2byte_string (SCM n);
SCM scm_byte_to_byte_string (SCM n);

int scm_print_byte_string (SCM exp, SCM port, scm_print_state *pstate);
SCM scm_byte_string_equal_p (SCM a, SCM b);
SCM scm_c_make_byte_string (size_t length_in_bytes);
SCM scm_make_byte_string_with_copy (void *data_segment, size_t length_in_bytes);
SCM scm_c_byte_string_adjoin (SCM lst);
SCM scm_byte_string_copy (SCM bs);
void x_inclusion_byte_strings ();
