/* classes: h_files */

#ifndef SCM_INLINE_H
#define SCM_INLINE_H

/* DEPRECATED - this file is going to be dissolved */

#include <stdio.h>
#include <string.h>

#include "include/__scm.h"

#include "include/pairs.h"
#include "include/trim.h"
#include "include/ports.h"
#include "include/error.h"


SCM scm_cell        (scm_t_tag tag, scm_t_bits car, scm_t_bits cdr);
SCM scm_double_cell (scm_t_tag,
                     scm_t_bits car, scm_t_bits cdr,
                     scm_t_bits cbr, scm_t_bits ccr);

SCM  scm_tagged_array (scm_t_tag tag, size_t nslots);
void scm_free_array   (unsigned long num_slots, SCM array);


int scm_i_read_byte (SCM port);
SCM  scm_getc (SCM port);
void scm_putc (char c, SCM port);
void scm_puts (const char *str_data, SCM port);

#endif
