/* classes: h_files */

#ifndef SCM_SORT_H
#define SCM_SORT_H
#include "include/__scm.h"



void quicksort (SCM *const base_ptr, size_t nr_elems, ssize_t INC,
                scm_t_trampoline_2 cmp, SCM less);
SCM scm_restricted_vector_sort_x (SCM vec,
                                  SCM less,
                                  SCM startpos,
                                  SCM endpos);
SCM scm_sorted_p (SCM ls, SCM less);
SCM scm_merge (SCM ls1, SCM ls2, SCM less);
SCM scm_merge_x (SCM ls1, SCM ls2, SCM less);
SCM scm_sort (SCM ls, SCM less);
SCM scm_sort_x (SCM ls, SCM less);
SCM scm_stable_sort (SCM ls, SCM less);
SCM scm_stable_sort_x (SCM ls, SCM less);
SCM scm_sort_list (SCM ls, SCM less);
SCM scm_sort_list_x (SCM ls, SCM less);
void scm_init_sort (void);

#endif  /* SCM_SORT_H */
