/* classes: h_files */

#ifndef SCM_VARIABLE_H
#define SCM_VARIABLE_H
#include "include/__scm.h"
#include "include/smob.h"


/* Variables 
 */
SCM  scm_i_variable_ref   (SCM variable);
void scm_i_variable_set_x (SCM variable, SCM value);

// NFS: cfr eval implicit apply branch dispatch 1
#define SCM_VARIABLEP(X) (!SCM_IMP (X) && SCM_CELL_TYPE(X) == scm_tc7_variable)
//#define SCM_VARIABLEP(X)    (!SCM_IMP (X) && SCM_TYP7(X) == scm_tc7_variable)
#define SCM_VARIABLE_REF      scm_i_variable_ref
#define SCM_VARIABLE_SET      scm_i_variable_set_x
#define SCM_VARIABLE_LOC(V)   (SCM_CELL_OBJECT_LOC ((V), 1))

#define TMP_VARIABLE_REF(V)   (SCM_CELL_OBJECT_1 (V))


SCM scm_make_variable (SCM init);
SCM scm_make_undefined_variable (void);
SCM scm_variable_p (SCM obj);
SCM scm_variable_ref (SCM var);
SCM scm_variable_set_x (SCM var, SCM val);
SCM scm_variable_bound_p (SCM var);

void scm_i_variable_print (SCM var, SCM port, scm_print_state *pstate);

void scm_init_variable (void);

#endif  /* SCM_VARIABLE_H */
