(define 1k 1000)
(define ball-repetitions (* 1k 1k))
(display "Practice: Throwing and Catching: ")

(display (%global-object-counts)) (newline)
(display (%global-call-counters)) (newline)

;(report-call-counts) XXX  reports have to be improved
;(report-object-deltas)

(define ball-thrower (lambda () (throw 'ekseption)))
(define ball-catcher (lambda (key . args) 'noop))

(repeat 2 (lambda ()
(let loop ((n 1))
  (when (= 1 (modulo n (* 10 1k)))
    (display ".") (usleep (* 1 1k)))
  (catch 'ekseption ball-thrower ball-catcher)
  (when (<= n  ball-repetitions)
    (loop (+ n 1))) )
))

(newline)

;(report-call-counts)
;(report-object-deltas)

(display (%global-object-counts)) (newline)
(display (%global-call-counters)) (newline)
