(define list-of-randoms '())
;; The following conditional definition is needed to allow for several
;; /loads/ of this file. Else endless loop and stack overflow (segmentation
;; fault; skeleton of a bug).
(when (not (defined? 'sys-random))
  (define sys-random random))
(define (memoizing-random n)
  (set! list-of-randoms (cons (sys-random n) list-of-randoms))
  ;(display list-of-randoms)
  (car list-of-randoms))
(define random memoizing-random)
;(define random sys-random)

(define maximum 1000)
(define generators
 (vector
  (lambda (datum) (cons datum #t))
  (lambda (datum) (make-list   (random maximum)           datum))
  (lambda (datum) (vector (+ 1 (random (+ 1 (random maximum)))) datum))

  (lambda (datum) (make-string (random maximum) (integer->char (random 128))))

  (lambda (datum) (random maximum))
  (lambda (datum) (integer->char (random 127)))
  (lambda (datum) (= (random 2) 0))
          
  ;; todo bignums, doubles
))
(define number-of-generators (vector-length generators))

(define (select-generator)
  (vector-ref generators (random number-of-generators)))

(define (identity x) (lambda (x) x))

(define (data-graph-stress n data)
 (cond ((<= n 0) data)
  (else
   (data-graph-stress (- n 1) ((select-generator) data) )) ))

(define (mean l) (exact->inexact (/ (apply + l) (length l))))

(define data-graph-maximum 3000000)
;(define data-graph-maximum 3000)
(define stress-repeat 3)
(define (D-stress)
 (display "D-stress:")
 (let loop ((n stress-repeat))
  (cond ((<= n 0) (display " FINE (D-stress) ") (newline))
   (else
  (display " D") (display n)
  (data-graph-stress data-graph-maximum 61)
  (display " (mean: ") (display (mean list-of-randoms)) (display ")") (newline)
  ;(set! list-of-randoms '())
  (loop (- n 1)) )) ))

;(display (%global-object-counts)) (newline)
;(display (%global-call-counters)) (newline)
(newline)

(D-stress)

 ; cutting that list puts it near the mem limit
(display (length list-of-randoms))
(newline)
;(display (%global-object-counts)) (newline)
;(display (%global-call-counters)) (newline)
